From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/console/
Date: Sun, 23 Oct 2022 07:29:49 +0000 (UTC) [thread overview]
Message-ID: <1666510166.1f8b93301337ed3f98f71997926487a3d34b8fe5.graaff@gentoo> (raw)
commit: 1f8b93301337ed3f98f71997926487a3d34b8fe5
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 23 07:28:22 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Oct 23 07:29:26 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f8b9330
dev-ruby/console: add 1.16.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/console/Manifest | 1 +
dev-ruby/console/console-1.16.2.ebuild | 35 ++++++++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-ruby/console/Manifest b/dev-ruby/console/Manifest
index 694623a35a8b..db21783b7f81 100644
--- a/dev-ruby/console/Manifest
+++ b/dev-ruby/console/Manifest
@@ -1 +1,2 @@
DIST console-1.15.3.tar.gz 23089 BLAKE2B 8387b0dc8ee84df3ce930ef79fcfec9e9b947b946770535beeb16fe58496c30134862b6a3fb48a842b321ab2ec493b1e4f9ec3462bdce04aa35066672ee55699 SHA512 c1d7fc987f3f6df3506c85c64d3c93b3eae6b5eca64ac7de2cf7cc0cb5572c102ebd6909d993d9d683081063ff8b7f2de46fefa255491adc47b88f13ff24ea67
+DIST console-1.16.2.tar.gz 24609 BLAKE2B 470e6fb547e594d6e4add21c11bccca2d239d5430e148bdd99fe925d57058a3e7304b96c793c72a68ac3df3e285c1b7719b5a1e0db833350b0ef55ac17cca4f8 SHA512 fe32ea7b3ab11319fcefc098571e2a4fff2fec2a56c53880731ab15deca75e84c94cc30456fea264e6201996311dc705799814e5c1d7c32e7b7d786fcac9588e
diff --git a/dev-ruby/console/console-1.16.2.ebuild b/dev-ruby/console/console-1.16.2.ebuild
new file mode 100644
index 000000000000..9d18391d436f
--- /dev/null
+++ b/dev-ruby/console/console-1.16.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Beautiful logging for Ruby"
+HOMEPAGE="https://github.com/socketry/console"
+SRC_URI="https://github.com/socketry/console/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~sparc"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/fiber-local"
+
+ruby_add_bdepend "test? ( dev-ruby/sus )"
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid dependency on covered.
+ rm -f config/sus.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -S sus || die
+}
next reply other threads:[~2022-10-23 7:29 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-10-23 7:29 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-18 4:43 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/console/ Hans de Graaff
2025-04-18 4:43 Hans de Graaff
2025-03-18 13:02 Hans de Graaff
2024-10-06 13:38 Jakov Smolić
2024-10-06 11:41 Hans de Graaff
2024-09-13 4:13 Sam James
2024-06-28 12:59 Sam James
2024-04-22 5:55 Hans de Graaff
2024-04-22 5:55 Hans de Graaff
2024-04-20 7:47 Hans de Graaff
2024-03-23 6:39 Hans de Graaff
2024-03-23 6:39 Hans de Graaff
2024-03-07 6:46 Hans de Graaff
2024-02-13 10:32 Hans de Graaff
2024-01-01 19:58 Sam James
2024-01-01 19:58 Sam James
2024-01-01 9:52 Hans de Graaff
2024-01-01 9:32 Hans de Graaff
2023-12-05 7:14 Hans de Graaff
2023-10-24 9:30 Arthur Zamarin
2023-08-16 6:14 Hans de Graaff
2023-08-12 7:21 Hans de Graaff
2023-08-12 7:21 Hans de Graaff
2023-07-20 6:22 Hans de Graaff
2023-07-12 7:46 Hans de Graaff
2023-07-05 0:04 Sam James
2023-07-04 20:19 Sam James
2023-07-04 20:19 Sam James
2023-06-26 9:58 Sam James
2023-06-26 8:43 Arthur Zamarin
2023-06-26 8:34 Sam James
2023-06-26 8:19 Sam James
2023-06-26 8:19 Sam James
2023-06-26 8:19 Sam James
2023-06-26 6:28 Jakov Smolić
2023-06-26 4:27 Hans de Graaff
2022-12-05 20:03 Arthur Zamarin
2022-12-01 4:03 Sam James
2022-12-01 4:03 Sam James
2022-12-01 2:04 Sam James
2022-10-23 11:41 Hans de Graaff
2022-10-23 10:01 Hans de Graaff
2022-10-23 7:29 Hans de Graaff
2022-10-22 21:33 Matt Turner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1666510166.1f8b93301337ed3f98f71997926487a3d34b8fe5.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox